
## symantic-base-0.5.0.20221211 (2022-12-10)

### Interface

* Add `Endpoint`.
* Add syntax for `either`.
* Add syntax `IfSemantic`.
* Add interpreter `Reader`.
* Fix export of `ADT`.
* Fix gather in submodules.
* Move `(.@)` into `Unabstractable`.
* Remove syntax `Routable`.
* Remove `option`, only `optional` is correct.
* Replace `adt` by `dataType`, and support `TuplesOfFunctions`.

### Documentation

* Fix remaining `<:>` to `<.>`.
* Fix typos in comments.
* Update `ChangeLog.md`.
* Update public presence.

### Implementation

* Fix deprecated `StarIsType`.
* Gather in submodules.
* Rename module `ADT` to `EithersOfTuples`.
* Rename type variable `repr` to `sem`.

### Build

* Check that the build before tagging.
* Ignore `.pre-commit-config.yaml`.
* Improve `ghcid` support.
* Improve `flake.nix`.
* Update nix input `nixpkgs`.


## symantic-base-0.5.0.20221122 (2022-11-23)

### Interface

* Add syntax for `either`.
* Add syntax `IfSemantic`.
* Add interpreter `Reader`.
* Fix gather in submodules.
* Move `(.@)` into `Unabstractable`.
* Remove `option`, only `optional` is correct.

### Documentation

* Fix typos in comments.
* Update public presence.

### Implementation

* Fix deprecated `StarIsType`.
* Gather in submodules.
* Rename type variable `repr` to `sem`.

### Build

* Improve `flake.nix`.
* Update nix input `nixpkgs`.


## symantic-base-0.4.0.20211106 (2021-11-18)

### Interface

* Rename `Symantic.{View => Viewer}`.
* Rename `Symantic.{ObserveSharing => SharingObserver}`.
* Rename `Symantic.{Class => Classes}`.
* Update release `version`.

### Documentation

* Fix minor shortcomings.
* Update `ChangeLog.md`.

### Build

* Fix `flake.lock` to use a public Nixpkgs.
* Move all Nix config into `flake.nix`.
* Update nix input `nixpkgs`.


## symantic-base-0.3.0.20211007 (2021-10-07)

### Interface

* Add `(<.)` and `(.>)` to class `ProductFunctor`.
* Add class `Inferable`.
* Add classes `Emptyable` and `Semigroupable`.
* Add `CurryN` to the root import.
* Add class `SumFunctor`.
* Add instance `Category Iso`.
* Change `(==)` to curryed form.
* Change to `infixr` classes `ProductFunctor` and `SumFunctor`.
* Fix class `Voidable`.
* Fix class `Dicurryable`.
* Move some `Abstractable` methods to `Functionable`.
* Rename module `Symantic.{Lang => Class}`.
* Rename term `{def => define}`.
* Update release `version`.

### Documentation

* Add `ChangeLog.md`.
* Rename {hut => code}.sourcephile.fr.

### Implementation

* Cleanup formatting a bit.
* Cleanup useless import.

### Build

* Add tool `git-chglog` for generating `ChangeLog.md`.
* Add tool `reuse` for copyright linting.
* Ignore more local-only files.
* Improve linting.
* Remove nix input `flake-utils`.
* Remove lingering Stack file.
* Update nix input `nixpkgs`.

